Results 1 to 10 of 10

Thread: Repository KDE Applications missing

  1. #1
    Join Date
    Sep 2014
    Location
    Germany
    Posts
    180

    Default Repository KDE Applications missing

    I just wanted to update my system but zypper could not find http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.2/

    A few days ago i saw a post in one of the openSUSE mailing lists which mentioned some reorganisation of the openSUSE repositories to happen soon.

    Does anyone have more details on this?

    Regards

    susejunky

  2. #2
    Join Date
    Sep 2014
    Location
    Germany
    Posts
    180

    Default AW: Repository KDE Applications missing

    Just received the latest posts on this:

    "... Users of KDE:Applications with Leap 42.2 *MUST* now add KDE:Frameworks5 and
    use the KDE_Frameworks5_openSUSE_Leap_42.2 repository of KDE:Applications.
    "

    I still can't see any KDE:Applications directory in the KDE_Frameworks5_openSUSE_Leap_42.2 repository but may be that is still to come.

    For everybody who ran into the same problem or just wants to follow up on this here the link to the post in the mailing list archive:

    https://lists.opensuse.org/opensuse-.../msg00031.html

    Regards

    susejunky

  3. #3

    Default Re: Repository KDE Applications missing

    It answers my question about 42.1 and 13.2 KF5 and Plasma 5 repos, so thanks for posting.
    .
    ✶ PC: P55 - i5 760 ✶ W7 / Leap 42.1 Dual Boot ✶/ (ext4). /home (ext4) ✶ KF5 & Plasma 5 Repo - Plasma 5.8.x Qt 5.7 ✶

  4. #4

    Default Re: Repository KDE Applications missing

    Hmmm. Wonder if that 'of' should be a 'for': use the KDE_Frameworks5_openSUSE_Leap_42.2 repository for KDE:Applications."
    OpenSuse 42.2, Plasma 5, GNOME
    Gigabyte GA-Z87X-UD4H Mobo; 16G Ram
    Intel Core i5-4570 Processor (6M Cache, up to 3.60 GHz)

  5. #5
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    2,579

    Default Re: Repository KDE Applications missing

    Little bit confused, here: I thought 42.1 EOL was supposed to be the middle of May?

    Leap 42.1 - will be maintained until 6 months after 42.2 (May 16th 2017)
    -Gerry Makaro
    Fraser-Bell Info Tech
    Solving Tech Mysteries since the Olden Days!
    ~~~~~
    If I helped you, consider clicking the Star at the bottom left of my post.

  6. #6

    Default Re: Repository KDE Applications missing

    Quote Originally Posted by Fraser_Bell View Post
    Little bit confused, here: I thought 42.1 EOL was supposed to be the middle of May?
    Yes, it is.

    But just because it is still officially supported doesn't mean that every project on OBS has to provide packages for it.

    The latest KDE Applications just cannot be built for 42.1 as it is too old. Most of them need newer KDE Frameworks or Qt5.
    And there are similar problems with Plasma, KDE Frameworks and Qt5. 42.1 is just too old.

    If you want the latest software, use the latest openSUSE release.

  7. #7

    Question Re: Repository KDE Applications missing

    Any news on why the Leap 42.2 KDE:Applications repository is still missing?

  8. #8

    Lightbulb Re: Repository KDE Applications missing

    Quote Originally Posted by backflip View Post
    Any news on why the Leap 42.2 KDE:Applications repository is still missing?
    Oops, nevermind, there it is: http://download.opensuse.org/reposit...USE_Leap_42.2/
    software.opensuse.org just doesn't list it under Leap 42.2.

  9. #9
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    2,579

    Default Re: Repository KDE Applications missing

    Quote Originally Posted by wolfi323 View Post
    Yes, it is.

    But just because it is still officially supported doesn't mean that every project on OBS has to provide packages for it.

    The latest KDE Applications just cannot be built for 42.1 as it is too old. Most of them need newer KDE Frameworks or Qt5.
    And there are similar problems with Plasma, KDE Frameworks and Qt5. 42.1 is just too old.

    If you want the latest software, use the latest openSUSE release.
    Okay, thank you for that information.
    -Gerry Makaro
    Fraser-Bell Info Tech
    Solving Tech Mysteries since the Olden Days!
    ~~~~~
    If I helped you, consider clicking the Star at the bottom left of my post.

  10. #10

    Default Re: Repository KDE Applications missing

    PS, forgot to mention:
    It is still possible to install a newer Plasma5 on 42.1.
    KDE:Frameworks5:LTS is going to still be offered for 42.1 as well, and contains the latest 5.8.x LTS release and KDE Frameworks 5.26 (not quite new, but newer than what's in the 42.1 standard repos and required by Plasma 5.8).This also requires KDE:Qt56 on 42.1 to get a newer Qt5.

    Unfortunately even that is too "old" to build all KDE Applications, that's why the 42.2 KDE:Applications repo has been dropped and replaced by one that builds against KDE:Frameworks5 for 42.2.
    Last edited by wolfi323; 14-Feb-2017 at 04:25.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •